#
# spec file for package evolution (Version 0.12)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  audiofile bonobo bonobo-conf bonobo-conf-devel bonobo-devel control-center control-center-devel db-devel esound esound-devel gal gal-devel gconf gdk-pixbuf gdk-pixbuf-devel glib glib-devel gnome-libs gnome-libs-devel gnome-print gnome-print-devel gnome-vfs gnome-vfs-devel gtk gtk-devel gtkhtml gtkhtml-devel gxmhtml imlib imlib-devel indent libghttp libghttp-devel libglade libglade-devel libgtop libgtop-devel libjpeg libpng libtiff libungif libunicode libxml libxml-devel libz mozilla mozilla-devel oaf oaf-devel openldap openldap-devel openssl openssl-devel orbit orbit-devel popt python python-devel xf86 xpm
# usedforbuild    aaa_base aaa_dir audiofile autoconf automake base bash bindutil binutils bison bonobo bonobo-conf bonobo-conf-devel bonobo-devel bzip compress control-center control-center-devel cpio cpp cracklib cyrus-sasl db db-devel devs diffutils e2fsprogs esound esound-devel file fileutils findutils flex gal gal-devel gawk gcc gconf gdbm gdbm-devel gdk-pixbuf gdk-pixbuf-devel gettext glib glib-devel glibc glibc-devel gnome-libs gnome-libs-devel gnome-print gnome-print-devel gnome-vfs gnome-vfs-devel gpm gppshare grep groff gtk gtk-devel gtkhtml gtkhtml-devel gxmhtml gzip imlib imlib-devel indent kbd less libghttp libghttp-devel libglade libglade-devel libgtop libgtop-devel libjpeg libpng libtiff libtool libungif libunicode libxml libxml-devel libz m4 make man mktemp modutils mozilla mozilla-devel ncurses ncurses-devel net-tools netcfg oaf oaf-devel openldap openldap-devel openssl openssl-devel orbit orbit-devel pam pam-devel patch perl popt ps python python-devel rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim xdevel xf86 xshared

Name:         evolution
%define prefix	/opt/gnome
%define sysconfdir /etc%{prefix}
Copyright:    GPL
Group:	      X11/GNOME/Base
Obsoletes:    evoltn
Provides:     evoltn
Autoreqprov:  on
Version:      0.12
Release:      58
Summary:      The integrated GNOME mail, calendar and addressbook suite
Source:	      ftp://ftp.gnome.org/pub/GNOME/unstable/sources/evolution/evolution-%{version}.tar.bz2
BuildRoot:    /var/tmp/evolution-%{version}

%description
Evolution consists of modular components (at the moment mailer, calendar
and addressbook) which should make the daily life easier. Because of the
modular design one can plug in new components in evolution or embedd the
existing ones in other applications.

Authors:
--------
    Evolution was written by:
    Nat Friedman <nat@helixcode.com>
    Chris Lahey <clahey@helixcode.com>
    Chris Toshok <toshok@helixcode.com>
    Eric Busboom <eric@softwarestudio.org> (libical author)
    Arturo Esponosa <arturo@nuclecu.unam.mx> (Gnomecal contributor)
    Damon Chaplin <damon@helixcode.com>
    Federico Mena-Quintero <federico@helixcode.com>
    Russell Steinthal <rms39@columbia.edu> (Gnomecal maintainer)
    Aaron Weber <aaron@helixcode.com>
    Bertrand Guiheneuf <bertrand@helixcode.com>
    Matt Loper <matt@helixcode.com>
    Ettore Perazzoli <ettore@helixcode.com>
    Jeff Stedfast <fejj@helixcode.com>
    Peter Williams <peterw@helixcode.com>
    Dan Winship <danw@helixcode.com>
    Michael Zucchi <notzed@helixcode.com>
    Ettore Perazzoli <ettore@helixcode.com>
    Andraz Tori <andraz.tori1@guest.arnes.si>
    Andreas Hyden <a.hyden@cyberpoint.se>
    Arjan Scherpenisse <acscherp@wins.uva.nl>
    Clara Tattoni <clara.tattoni@libero.it>
    Fatih Demir <kabalak@gmx.net>
    GNOME PL Team <gnomepl@pandora.info.bielsko.pl>
    Gustavo Maciel Dias Vieira <gdvieira@zaz.com.br>
    Hctor Garca Alvarez <hector@scouts-es.org>
    Jess Bravo lvarez <jba@pobox.com>
    Keld Simonsen <keld@dkuug.dk>
    Matthias Warkus <mawa@iname.com>
    Spiros Papadimitriou <spapadim+@cs.cmu.edu>
    Sung-Hyun Nam <namsh@kldp.org>
    Szabolcs BAN <shooby@gnome.hu>
    Tiago Anto <tiagoantao@bigfoot.com>
    Valek Filippov <frob@df.ru>
    Vincent Renardias <vincent@redhat.com>
    Yuri Syrota <rasta@renome.rovno.ua>
    Miguel de Icaza <miguel@helixcode.com>
    Chris Lahey <clahey@helixcode.com>
    Federico Mena-Quintero <federico@helixcode.com>
    Chris Toshok <toshok@helixcode.com>

SuSE series: gnm

%prep
%setup -q 

%build
%{suse_update_config}
CFLAGS="$RPM_OPT_FLAGS" \
./configure --with-gnome=/opt/gnome --prefix=%{prefix} \
	    --sysconfdir=%{sysconfdir} \
	    --with-nspr-includes=/opt/mozilla/include \
	    --with-nspr-libs=/opt/mozilla \
	    --with-nss-includes=/opt/mozilla/include \
	    --with-nss-libs=/opt/mozilla
make -s

%install
make -s install prefix=$RPM_BUILD_ROOT%{prefix} \
	sysconfdir=$RPM_BUILD_ROOT%{sysconfdir}

%clean 
rm -rf $RPM_BUILD_ROOT

%files
%doc AUTHORS COPYING ChangeLog NEWS README
%{prefix}/bin/*
%{prefix}/lib/*.so
%{prefix}/lib/*.so.*
%{prefix}/lib/evolution/*/*/*.urls
%{prefix}/lib/evolution/*/*/*.so
%{prefix}/lib/evolution/*/*/*.so.*
%{prefix}/sbin/*
%{prefix}/share/evolution
%{prefix}/share/gnome/apps/*/*
%{prefix}/share/gnome/help/*
%{prefix}/share/gnome/html/*
%{prefix}/share/gnome/ui/*
%{prefix}/share/idl/*
%{prefix}/share/images/*
%{prefix}/share/libical
%{prefix}/share/locale/*/*/*
%{prefix}/share/mime-info/*
%{prefix}/share/oaf/*
%{prefix}/share/pixmaps/*
%package devel
Summary:      The development package for evolution
Group:		X11/GNOME/Base
Obsoletes:	evoltnd
Provides:       evoltnd

%description devel 
The development package for evolution. See there.

SuSE series: gnm


%files devel 
%{prefix}/include/*
%{prefix}/lib/evolution/*/*/*.*a
%{prefix}/lib/*.*a

%changelog -n evolution
* Fri Aug 03 2001 - hhetter@suse.de
- update to 0.12 (Beta1)
- added bonobo-conf-devel to #neededforbuild
* Tue Jul 24 2001 - hhetter@suse.de
- fixed filelist, tested on i386
* Mon Jul 23 2001 - egger@suse.de
- Updated to version 0.11.
- Misc cleanups.
* Wed Jun 27 2001 - hhetter@suse.de
- added gal-devel to neededforbuild
* Wed Jun 13 2001 - egger@suse.de
- Update to version 0.10.
* Tue Apr 17 2001 - hhetter@suse.de
- enabled .so links in the main package
* Fri Mar 16 2001 - egger@suse.de
- Evolution explicitely needs the .so links in
  the folder of the provider libs or it cannot
  handle mail. Keep them there for now and don't
  move them into devel except you know that you're
  doing!
* Fri Mar 16 2001 - egger@suse.de
- Insert extra make to prevent propagation of BuildRoot dirs
  into the executable.
* Fri Mar 16 2001 - egger@suse.de
- Updated to version 0.9.
* Wed Mar 14 2001 - ro@suse.de
- added xf86 to neededforbuild
* Thu Mar 01 2001 - ro@suse.de
- libghtt was renamed
* Sat Feb 17 2001 - egger@suse.de
- Updated to version 0.8.
- First version that works with SuSE, yay!
* Thu Nov 09 2000 - ro@suse.de
- fixed neededforbuild again
* Thu Nov 09 2000 - ro@suse.de
- typo fixed
* Wed Nov 08 2000 - ro@suse.de
- fixed neededforbuild
* Wed Nov 01 2000 - egger@suse.de
- Updated specfile to new long packagenames.
- Reworked specfile.
- Probably needs some more work; I'm taking care of that.
* Mon Oct 02 2000 - egger@suse.de
- Fixed it a little more....
* Mon Sep 25 2000 - egger@suse.de
- Removed a thinko....
* Sun Sep 24 2000 - egger@suse.de
- Restructuring of the package.
- Use the splitted packages oafdev and bonobod.
- Buildproofed on i386.
* Fri Sep 22 2000 - egger@suse.de
- Use BuildRoot.
- Buildproofed on i386.
* Tue Sep 19 2000 - egger@suse.de
- First compilable version of it using version 0.5.1
- Buildproofed on i386.
* Fri Sep 01 2000 - egger@suse.de
- Initial SuSE package
